
QGIS Application - Bug report #14928

WMS request without BBOX

2016-05-30 11:54 PM - Daniel Debski

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Unknown

Affected QGIS version:2.8.5 Regression?: No

Operating System: QGIS Desktop Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22879

Description

All versions QGIS above 1.8.0 send WMS request to server without BBOX params. This situation is when I add WMS layer with

coordination system the same like project coordination system. I my case it was project coordination system EPSG:2176. When I add

WMS layer with difrent coordination system (for example EPSG:2180) I can show this but unsatisfaction quality (transformation). After

checking it turned out, that WMS requests are incomplete. Attachement include requesting logs.

Associated revisions

Revision dfe45538 - 2016-06-13 12:00 PM - Even Rouault

[WMS provider] Avoid excessive number of decimals in BBOX parameter

Fix #14928

Revision 4d1790ac - 2016-06-13 12:07 PM - Even Rouault

[WMS provider] Avoid excessive number of decimals in BBOX parameter

Fix #14928

History

#1 - 2016-05-31 12:42 AM - Daniel Debski

Platform: Windows

Platform version: 7, 8.1, 10

#2 - 2016-06-13 03:01 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"dfe45538692781ca6a6d275bd6dcbdf5fc7c1414".

#3 - 2016-06-13 03:15 AM - Even Rouault

- Resolution set to fixed/implemented

- Assignee set to Even Rouault
Fixed in master and backported into 2.14.X

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
